Package com.opensymphony.sitemesh

# Interface ContentProcessor

All Known Implementing Classes:
  `PageParser2ContentProcessor`

public interface ContentProcessor

Since:
  SiteMesh 3
Author:
  Joe Walnes

## Method Summary

Modifier and Type
Method
Description
`Content`
`build(char[] data, SiteMeshContext context)`
`boolean`
`handles(SiteMeshContext context)`
`boolean`
`handles(String contentType)`

## Method Details

### handles

boolean handles(SiteMeshContext context)

### handles

boolean handles(String contentType)

### build

Content build(char[] data, SiteMeshContext context) throws IOException

Throws:
  `IOException`